Subject: Image::Size 2.0 uploaded to PAUSE
From: [email-masked] (Randy J. Ray)
Date: 28 Nov 1996 18:15:35 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Version 2.0 of Image::Size has been uploaded to PAUSE, and will propagate
to all CPAN sites over the next few days.

To build and install, you will need perl 5.002 or later, and sufficient
access to install an extension.

Summary of Changes in 2.0:

* No longer uses filenames to determine image format for examination.

* Can operate on already-open IO::File objects.

* Can operate on in-memory data strings (buffers).

* Documentation overhauled.

* imgsize() now returns an ignorable third parameter. This value is a three-
  letter identifier of the image format (using the standard suffixes. Useful
  when sizing unknown data to also type the image.

* Support for the PPM family (PPM, PGM and PBM) of formats.

* JPG code extensively re-written and simplified.

* PNG code re-written.

* Test cases for PNG and PPM added. Test cases also cover the open-file and
  in-memory capabilities.

* Dropped the "optional second argument" thing in the invocation; no one used
  it, and it was confusing and difficult to explain clearly.

* Various typos cleaned up.

Summary of Changes in 1.2:

* Fixed bug caused by perl quoting and RCS in Size.pm

* imgsize now comes as imgsize.PL and is auto-extracted as part of the make,
  utilizing your system's configuration to create the start-up #! line.

Summary of Changes in 1.1:

* Added a small, simple script called "imgsize" that gives command-line access
  to the library functionality.
* Discovered and fixed bug in sizing JPEGs.

>From the README file for 2.0:

Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives. Image::Size has generalized that code to return a raw (X, Y)
pair, and included wrappers to pre-format that output into either HTML or a
set of attribute pairs suitable for the CGI.pm library by Lincoln Stein.
Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, PNG and the
PPM family of formats (PPM/PGM/PBM).

I did this because my WWW server generates a lot of documents on demand
rather than keeping them in static files. These documents not only use
directional icons and buttons, but other graphics to annotate and highlight
sections of the text. Without size attributes, browsers cannot render the
text of a page until the image data is loaded and the size known for layout.
This library enables scripts to size their images at run-time and include
that as part of the generated HTML. Or for any other utility that uses and
manipulates graphics. The idea of the basic interface + wrappers is to not
limit the programmer to a certain data format.

Please send any reports of problems or bugs to [email-masked]. I wouldn't
mind a short note to know that you're using this, just so I can justify its
continued development to my manager :-). (In seriousness, a rough idea of
how many others are using this will help promote its upkeep.)

This package is copyright © 1996 by Randy Ray ([email-masked]) and is
placed in the public domain under terms of the Artistic License used to
cover Perl itself. See the file Artistic in the distribution  of Perl 5.002 or
later for details of copy and distribution terms.

Perl module interface by Randy J. Ray ([email-masked]), original
image-sizing code by Alex Knowles ([email-masked]) and Andrew Tong
([email-masked]), used with their joint permission.

Some bug fixes submitted by Bernd Leibing <[email-masked]>.
PPM/PGM/PBM sizing code contributed by Carsten Dominik
<[email-masked]>. Tom Metro <[email-masked]> re-wrote the JPG and
PNG code, and also provided a PNG image for the test suite. Dan Klein
<[email-masked]> contributed a re-write of the GIF code.

Randy
-- 
===============================================================================
Randy J. Ray -- U S WEST Technologies IAD/CSS/DPDS         Phone: (303)595-2869
                Denver, CO                                     [email-masked]
"It's not denial. I'm just very selective about the reality I accept." --Calvin
===============================================================================